Subject: Re: What's cooking in git.git (Nov 2024, #07; Wed, 20)

From: shejialuo <[email-masked]>
Date: Wed, 20 Nov 2024 21:41:17 +0800

On Wed, Nov 20, 2024 at 11:36:10AM +0100, Patrick Steinhardt wrote:
> > * sj/ref-contents-check (2024-11-15) 9 commits
> >  - ref: add symlink ref content check for files backend
> >  - ref: check whether the target of the symref is a ref
> >  - ref: add basic symref content check for files backend
> >  - ref: add more strict checks for regular refs
> >  - ref: port git-fsck(1) regular refs check for files backend
> >  - ref: support multiple worktrees check for refs
> >  - ref: initialize ref name outside of check functions
> >  - ref: check the full refname instead of basename
> >  - ref: initialize "fsck_ref_report" with zero
> > 
> >  "git fsck" learned to issue warnings on "curiously formatted" ref
> >  contents that have always been taken valid but something Git
> >  wouldn't have written itself (e.g., missing terminating end-of-line
> >  after the full object name).
> > 
> >  Comments?
> >  source: <ZzYqoai8X_Wdtbmt@ArchLinux>
> 
> I've already reviewed this version and expect a (probably final) reroll.
> 

I have already being waiting a couple of days for more comments. And I
have submitted a new version just now.

Thanks,
Jialuo